package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务商管理对象 t_service_manage
 * 
 * @author zhengjie
 * @date 2023-08-22
 */
public class TServiceManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Integer id;

    /** 机构名称 */
    @Excel(name = "机构名称")
    private String storeName;

    /** 机构性质 */
    @Excel(name = "机构性质",dictType = ("sys_business_nature"),comboDictType = "sys_business_nature")
    private Integer storeNature;

    /** 登录账号 */
    @Excel(name = "登录账号")
    private String username;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    /** 负责人 */
    @Excel(name = "负责人")
    private String leader;

    /** 负责人电话 */
    @Excel(name = "负责人电话")
    private String leaderTel;

    /** 服务状态 */
    @Excel(name = "服务状态")
    private Integer serviceStatus;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date begintime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endtime;

    /** 周末服务 */
    @Excel(name = "周末服务")
    private Integer weekendStatus;

    /** 假日服务 */
    @Excel(name = "假日服务")
    private Integer holidayStatus;

    /** 固定电话 */
    @Excel(name = "固定电话")
    private String phone;

    /** 所属区域 */
    @Excel(name = "所属区域")
    private String isRegion;

    /** 服务区域 */
    @Excel(name = "服务区域")
    private String serviceRegion;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 结算周期 */
    @Excel(name = "结算周期")
    private Integer settleTime;

    /** 商家在线 */
//    @Excel(name = "商家在线")
    private Integer storeOnline;

    /** 是否自营 */
    @Excel(name = "是否自营")
    private Integer isOne;

    /** 营业执照 */
    @Excel(name = "营业执照")
    private String businessurl;

    /** 商家图片 */
    @Excel(name = "商家图片")
    private String storeurl;

    /** 合同图片 */
    @Excel(name = "合同图片")
    private String contracturl;

    /** 社会统一信用代码 */
    @Excel(name = "社会统一信用代码")
    private String creditCode;

    /** 发布范围 */
    @Excel(name = "发布范围")
    private String releaseScope;

    /** 创建部门 */
    @Excel(name = "创建部门")
    private String createDepartment;

    /** 状态 */
    private Integer status;

    /** 机构介绍 */
    @Excel(name = "机构介绍")
    private String introduction;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setStoreName(String storeName) 
    {
        this.storeName = storeName;
    }

    public String getStoreName() 
    {
        return storeName;
    }
    public void setStoreNature(Integer storeNature) 
    {
        this.storeNature = storeNature;
    }

    public Integer getStoreNature() 
    {
        return storeNature;
    }
    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }
    public void setPassword(String password) 
    {
        this.password = password;
    }

    public String getPassword() 
    {
        return password;
    }
    public void setLeader(String leader) 
    {
        this.leader = leader;
    }

    public String getLeader() 
    {
        return leader;
    }
    public void setLeaderTel(String leaderTel) 
    {
        this.leaderTel = leaderTel;
    }

    public String getLeaderTel() 
    {
        return leaderTel;
    }
    public void setServiceStatus(Integer serviceStatus) 
    {
        this.serviceStatus = serviceStatus;
    }

    public Integer getServiceStatus() 
    {
        return serviceStatus;
    }
    public void setBegintime(Date begintime) 
    {
        this.begintime = begintime;
    }

    public Date getBegintime() 
    {
        return begintime;
    }
    public void setEndtime(Date endtime) 
    {
        this.endtime = endtime;
    }

    public Date getEndtime() 
    {
        return endtime;
    }
    public void setWeekendStatus(Integer weekendStatus) 
    {
        this.weekendStatus = weekendStatus;
    }

    public Integer getWeekendStatus() 
    {
        return weekendStatus;
    }
    public void setHolidayStatus(Integer holidayStatus) 
    {
        this.holidayStatus = holidayStatus;
    }

    public Integer getHolidayStatus() 
    {
        return holidayStatus;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setIsRegion(String isRegion) 
    {
        this.isRegion = isRegion;
    }

    public String getIsRegion() 
    {
        return isRegion;
    }
    public void setServiceRegion(String serviceRegion) 
    {
        this.serviceRegion = serviceRegion;
    }

    public String getServiceRegion() 
    {
        return serviceRegion;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setSettleTime(Integer settleTime) 
    {
        this.settleTime = settleTime;
    }

    public Integer getSettleTime() 
    {
        return settleTime;
    }
    public void setStoreOnline(Integer storeOnline) 
    {
        this.storeOnline = storeOnline;
    }

    public Integer getStoreOnline() 
    {
        return storeOnline;
    }
    public void setIsOne(Integer isOne) 
    {
        this.isOne = isOne;
    }

    public Integer getIsOne() 
    {
        return isOne;
    }
    public void setBusinessurl(String businessurl)
    {
        this.businessurl = businessurl;
    }

    public String getBusinessurl()
    {
        return businessurl;
    }
    public void setStoreurl(String storeurl)
    {
        this.storeurl = storeurl;
    }

    public String getStoreurl()
    {
        return storeurl;
    }
    public void setContracturl(String contracturl)
    {
        this.contracturl = contracturl;
    }

    public String getContracturl()
    {
        return contracturl;
    }
    public void setCreditCode(String creditCode) 
    {
        this.creditCode = creditCode;
    }

    public String getCreditCode() 
    {
        return creditCode;
    }
    public void setReleaseScope(String releaseScope) 
    {
        this.releaseScope = releaseScope;
    }

    public String getReleaseScope() 
    {
        return releaseScope;
    }
    public void setCreateDepartment(String createDepartment) 
    {
        this.createDepartment = createDepartment;
    }

    public String getCreateDepartment() 
    {
        return createDepartment;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("storeName", getStoreName())
            .append("storeNature", getStoreNature())
            .append("username", getUsername())
            .append("password", getPassword())
            .append("leader", getLeader())
            .append("leaderTel", getLeaderTel())
            .append("serviceStatus", getServiceStatus())
            .append("begintime", getBegintime())
            .append("endtime", getEndtime())
            .append("weekendStatus", getWeekendStatus())
            .append("holidayStatus", getHolidayStatus())
            .append("phone", getPhone())
            .append("isRegion", getIsRegion())
            .append("serviceRegion", getServiceRegion())
            .append("address", getAddress())
            .append("settleTime", getSettleTime())
            .append("storeOnline", getStoreOnline())
            .append("isOne", getIsOne())
            .append("businessurl", getBusinessurl())
            .append("storeurl", getStoreurl())
            .append("contracturl", getContracturl())
            .append("creditCode", getCreditCode())
            .append("releaseScope", getReleaseScope())
            .append("createDepartment", getCreateDepartment())
            .append("status", getStatus())
            .append("introduction", getIntroduction())
            .append("createTime", getCreateTime())
            .toString();
    }
}
